Notes
Get notes by UUIDs
Retrieves note details for the provided array of UUIDs, most recently updated first
POST
/
api
/
{portfolio}
/
portfolios
/
v1
/
notes
/
get_by_uuids
Get notes by UUIDs
curl --request POST \
--url https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/notes/get_by_uuids \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"noteUuids": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6",
"3fa85f64-5717-4562-b3fc-2c963f66afa7"
]
}
'import requests
url = "https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/notes/get_by_uuids"
payload = { "noteUuids": ["3fa85f64-5717-4562-b3fc-2c963f66afa6", "3fa85f64-5717-4562-b3fc-2c963f66afa7"] }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
noteUuids: ['3fa85f64-5717-4562-b3fc-2c963f66afa6', '3fa85f64-5717-4562-b3fc-2c963f66afa7']
})
};
fetch('https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/notes/get_by_uuids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"noteUuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"unitUuid": "1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
"personUuid": null,
"bodyText": "This is a note about a unit regarding maintenance issues.",
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-20T15:45:00.000Z"
}
]Headers
Api key required to authenticate your request. Please reach out to monument for a key.
Example:
"monument-2230012-2312321"
Path Parameters
Body
application/json
Array of note UUIDs to retrieve data for
Example:
[ "3fa85f64-5717-4562-b3fc-2c963f66afa6", "3fa85f64-5717-4562-b3fc-2c963f66afa7" ]
Response
Note details retrieved successfully
UUID of the note
Example:
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
UUID of the unit if note.entityType is UNIT, null otherwise
Example:
"1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d"
UUID of the person if note.entityType is PERSON, null otherwise
Example:
null
The text content of the note
Example:
"This is a note about a unit regarding maintenance issues."
Timestamp when the note was created
Example:
"2024-01-15T10:30:00.000Z"
Timestamp when the note was last updated
Example:
"2024-01-20T15:45:00.000Z"
⌘I
Get notes by UUIDs

